package thyyxxk.webserver.entity.medicalinsurance.inpatient;

import lombok.Data;

import java.util.Date;

/**
 * 诊断表
 *
 * @author dj
 */
@Data
public class ZyDisDiagYb {
    private String inpatientNo;
    private Integer admissTimes;
    private Integer disDiagNo;
    private String disDiagType;
    private String disDiag;
    private String disDiagComment;
    private String opIdCode;
    private String opName;
    private Date opDiagDate;
    private String disDiagBzfx;
    private String disDiagStatus;
    private String operation;
    private String siDiagType;

    /**
     * 是否为新的数据
     */
    private boolean newData = false;

    public String getsiDiagTypeName() {
        if (siDiagType != null) {
            switch (siDiagType) {
                case "0":
                    return "西医主要诊断";
                case "1":
                    return "西医其他诊断";
                case "2":
                    return "中医主要诊断";
                case "3":
                    return "中医其他诊断";
            }
        }
        return "";
    }
}
